package dbmodel

import (
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"time"
)

//CREATE TABLE IF NOT EXISTS public.d_hex_command_record
//(
//device_id bigint NOT NULL,
//dev_utc bigint NOT NULL,
//ctrl_code character(2) COLLATE pg_catalog."default" NOT NULL,
//data_len smallint NOT NULL,
//data_hex character varying(512) COLLATE pg_catalog."default",
//ciphertext character varying(512) COLLATE pg_catalog."default",
//direction smallint NOT NULL,
//create_at timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP
//)

type TableDevHexCommandRecord struct {
	DevID      uint32
	DevUtc     uint32
	CtrlCode   string
	DataLen    uint8
	DataHex    string
	Ciphertext string
	Direction  uint8
	createAt   time.Time
	retry      uint8 //测试用字段,后面压测完了可以删他妈的
}

func InsertDevHexCommandRecord(insertData TableDevHexCommandRecord) {
	var err error
	for i := 0; i < 10; i++ {
		// _, err = StmtDevHexRecord.Exec(rData.DevID, rData.TimeUtc, strconv.FormatUint(uint64(rData.CtrlCode), 16), rData.Length, hex.EncodeToString(rData.Data[:rData.Length]), ciphertext, direction)
		_, err = stmtInsertDevHexCommandRecord.Exec(insertData.DevID,
			insertData.DevUtc,
			insertData.CtrlCode,
			insertData.DataLen,
			insertData.DataHex,
			insertData.Ciphertext,
			insertData.Direction,
			i,
		)
		if err == nil {
			return
		}
		fmt.Println("InsertDevHexCommandRecord:", i, err)
		time.Sleep(100 * time.Millisecond)
	}
	logger.Log.Error("InsertDevHexCommandRecord Error",
		zap.Error(err))
}
