package dbmodel

import (
	"dc_golang_server_1/logger"
	"fmt"
	"go.uber.org/zap"
	"time"
)

//CREATE TABLE IF NOT EXISTS public.d_hex_reset_record
//(
//device_id bigint NOT NULL,
//dev_utc bigint NOT NULL,
//reset_reason smallint NOT NULL,
//reset_code character varying(2) COLLATE pg_catalog."default",
//location point,
//firmware character varying(20) COLLATE pg_catalog."default",
//create_at timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP
//)
type TableDevHexResetRecord struct {
	DevId       uint32
	DevUtc      uint32
	ResetReason uint8
	ResetCode   string
	Location    [2]uint32
	Firmware    string
	createAt    time.Time
}

func InsertDevHexResetRecord(insertData TableDevHexResetRecord) {
	var err error
	for i := 0; i < 100; i++ {
		_, err = stmtInsertDevHexCommandRecord.Exec(
			insertData.DevId,
			insertData.DevUtc,
			insertData.ResetReason,
			insertData.ResetCode,
			insertData.Location[0],
			insertData.Location[1],
			insertData.Firmware,
		)
		if err == nil {
			return
		}
		fmt.Println("InsertDevHexResetRecord:", i, err)
		time.Sleep(100 * time.Millisecond)
	}
	logger.Log.Error("InsertDevHexResetRecord Err",
		zap.Error(err))
}
