package dbmodel

import (
	"database/sql"
	"dc_golang_server_1/config"
	_ "github.com/lib/pq"
)

var PgDb *sql.DB
var stmtInsertDevHexCommandRecord *sql.Stmt
var stmtInsertDevHexConnectRecord *sql.Stmt
var stmtInsertDevHexResetRecord *sql.Stmt

// var stmtInsertUCallRecordAndUpdateUSimInfo *sql.Stmt //用事务处理
var stmtInsertUserCardUser *sql.Stmt

func InitDb() {
	var err error
	PgDb, err = sql.Open("postgres", config.DbDSN)
	if err != nil {
		panic("数据库连接失败" + err.Error())
	}

	//PgDb.SetConnMaxLifetime()
	//PgDb.SetConnMaxIdleTime()
	//PgDb.SetMaxOpenConns()
	//PgDb.Stats()

	// 建立常用的预处理
	stmtInsertDevHexCommandRecord, err = PgDb.Prepare("INSERT INTO d_command_record VALUES($1,$2,$3,$4,$5,$6,$7,$8)") //("INSERT INTO d_hex_command_record(device_id,ctrl_code,data_len,data_hex,ciphertext)VALUES($1,$2,$3,$4,$5)")
	if err != nil {
		panic("建立stmtDevHexCommandRecord失败:" + err.Error())
	}
	stmtInsertDevHexConnectRecord, err = PgDb.Prepare("INSERT INTO d_connect_record VALUES($1,$2)")
	if err != nil {
		panic("建立stmtDevHexConnectRecord失败:" + err.Error())
	}
	stmtInsertDevHexResetRecord, err = PgDb.Prepare("INSERT INTO d_reset_record VALUES($1,$2,$3,$4,point($5,$6),$7)")
	if err != nil {
		panic("建立stmtDevHexConnectRecord失败:" + err.Error())
	}
	//stmtInsertUserCallRecord, err = PgDb.Prepare("INSERT INTO u_call_record VALUES($1,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$12,$13,$14,$15,$16)")
	//if err != nil {
	//	panic("建立stmtUserCallRecord失败:" + err.Error())
	//}
	stmtInsertUserCardUser, err = PgDb.Prepare("INSERT INTO u_card_user VALUES($1,$2,$3,$4,$5,$6,$7,$8)")
	if err != nil {
		panic("建立stmtUserCardUser失败:" + err.Error())
	}
}

func CloseDb() {
	_ = stmtInsertDevHexCommandRecord.Close()
	_ = stmtInsertDevHexConnectRecord.Close()
	_ = stmtInsertDevHexResetRecord.Close()
	//_ = stmtInsertUCallRecordAndUpdateUSimInfo.Close()
	_ = stmtInsertUserCardUser.Close()
	_ = PgDb.Close()
}
