// Package docs GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import (
	"bytes"
	"encoding/json"
	"strings"
	"text/template"

	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/base/city/{provinceID}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的城市列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "通过省份ID获取城市列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "省份id",
                        "name": "provinceID",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/cache.District"
                            }
                        }
                    }
                }
            }
        },
        "/base/county/{cityID}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的城市列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "通过城市ID获取区县列表",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "城市ID",
                        "name": "cityID",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/cache.District"
                            }
                        }
                    }
                }
            }
        },
        "/base/province": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取带首字母的省份列表",
                "tags": [
                    "公用接口"
                ],
                "summary": "获取全国省份列表",
                "responses": {
                    "200": {
                        "description": "按首字母排序好的列表,可直接用作展示",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/cache.District"
                            }
                        }
                    }
                }
            }
        },
        "/v1/login/{code}": {
            "post": {
                "description": "微信code传至后台,后台返回token,token有效时长:24小时",
                "tags": [
                    "微信"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户微信的code",
                        "name": "code",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"token\": string}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/v1/test": {
            "get": {
                "description": "测试使用",
                "tags": [
                    "微信"
                ],
                "summary": "测试",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户微信的unionid",
                        "name": "unionid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/web.TestResponse"
                        }
                    }
                }
            }
        },
        "/we/login/{code}": {
            "post": {
                "description": "微信code传至后台,后台返回token,token有效时长:24小时",
                "tags": [
                    "家长微信"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "用户微信的code",
                        "name": "code",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"token\": string}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/we/trend/:id": {
            "get": {
                "description": "微信学生首页,获取近20条用户最新动态",
                "tags": [
                    "public"
                ],
                "summary": "微信学生首页,获取近20条用户最新动态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "请示参数code",
                        "name": "code",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"token\": string}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "cache.District": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer",
                    "example": 1
                },
                "initial": {
                    "type": "string",
                    "example": "S"
                },
                "name": {
                    "type": "string",
                    "example": "四川省"
                }
            }
        },
        "model.UWeCustomer": {
            "type": "object",
            "properties": {
                "avatarurl": {
                    "description": "微信头像",
                    "type": "string"
                },
                "country": {
                    "type": "string"
                },
                "createAt": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "language": {
                    "type": "string"
                },
                "loginAt": {
                    "type": "string"
                },
                "nickname": {
                    "description": "微信昵称",
                    "type": "string"
                },
                "openid": {
                    "description": "微信小程序对应的openid",
                    "type": "string"
                },
                "province": {
                    "type": "string"
                },
                "testRole": {
                    "description": "是否是有测试权限",
                    "type": "boolean"
                },
                "unionid": {
                    "description": "微信小程序对应的unionid",
                    "type": "string"
                }
            }
        },
        "web.TestResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "1000为成功，其他都是失败",
                    "type": "integer"
                },
                "data": {
                    "$ref": "#/definitions/model.UWeCustomer"
                },
                "msg": {
                    "description": "code非1000时的错误描述",
                    "type": "string"
                }
            }
        }
    },
    "securityDefinitions": {
        "ApiKeyAuth": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "V0.0.1",
	Host:        "",
	BasePath:    "/",
	Schemes:     []string{},
	Title:       "多彩中小学一卡通系统",
	Description: "用于家长端微信小程序及web端管理后台",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
		"escape": func(v interface{}) string {
			// escape tabs
			str := strings.Replace(v.(string), "\t", "\\t", -1)
			// replace " with \", and if that results in \\", replace that with \\\"
			str = strings.Replace(str, "\"", "\\\"", -1)
			return strings.Replace(str, "\\\\\"", "\\\\\\\"", -1)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
