package util

func CheckCRC(buf []byte) bool {
	var wCrcData uint16 = 0xffff
	for _, v := range buf {
		wCrcData ^= uint16(v)
		for j := 0; j < 8; j++ {
			if wCrcData&1 != 0 {
				wCrcData >>= 1
				wCrcData ^= 0xa001
			} else {
				wCrcData >>= 1
			}
		}
	}
	return wCrcData == 0
}

// GetCRC 获取2个字节的CRC16
func GetCRC(buf []byte, len int) { //传入的切片必须装得下
	var wCrcData uint16 = 0xffff
	for i := 0; i < len; i++ {
		wCrcData ^= uint16(buf[i])
		for j := 0; j < 8; j++ {
			if wCrcData&1 != 0 {
				wCrcData >>= 1
				wCrcData ^= 0xa001
			} else {
				wCrcData >>= 1
			}
		}
	}
	buf[len] = byte(wCrcData)
	buf[len+1] = byte(wCrcData >> 8)
}
