package web

import (
	"dc_golang_server_1/config"
	_ "dc_golang_server_1/docs"
	"dc_golang_server_1/logger"
	v1 "dc_golang_server_1/web/v1"
	"fmt"
	"github.com/gin-gonic/gin"
	"github.com/swaggo/gin-swagger"
	"github.com/swaggo/gin-swagger/swaggerFiles"
	"time"
)

func InitRouter() { //*gin.Engine{
	gin.SetMode(config.HttpServerMode)
	r := gin.New()
	r.Use(logger.HttpGinLog(), gin.Recovery())
	r.Use(Cors()) //全局跨域 局部跨域的话在路由组里面去添加
	//r.Use(CheckToken()) //jwt 还是在对应需要token的路由组添加

	fmt.Println("swagger", config.HttpServerSwagger)

	if config.HttpServerSwagger {
		r.GET("/swagger/*any", ginSwagger.WrapHandler(swaggerFiles.Handler))
	}

	base := r.Group("base/")
	// base.Use(CheckToken())
	{
		base.GET("province", v1.GetProvinceList)
		base.GET("city/:provinceID", v1.GetCityList)
		base.GET("county/:cityID", v1.GetCountyList)
	}

	r.POST("we/login/:code", v1.WeLogin)
	wechat := r.Group("we/")
	// wechat.Use(CheckToken())
	{ // 需要token的
		wechat.GET("trend/:id", v1.GetCardUsersTrend)
	}

	//router := r.Group("web/")
	{
		//router.POST()
	}

	fmt.Println(time.Now(), "server is running")

	err := r.Run(config.HttpServerPort)
	if err != nil {
		panic(err)
	}
}
