package v1

import (
	"dc_golang_server_1/cache"
	"github.com/gin-gonic/gin"
	"net/http"
)

// GetCardUsers 登录接口，返回Token及 微信首页获取卡用户信息列表
func GetCardUsers(c *gin.Context) {
	cardUsersID := cache.GetWechatCustomerCardUserID(c.Param("username"))
	cardUserInfos := make([]cache.CardUserType, len(cardUsersID))
	for i, v := range cardUsersID {
		cardUserInfos[i] = cache.GetCardUserInfo(v)
	}
	c.JSON(http.StatusOK, gin.H{
		"status": 200,
		// "total": 0,
		"data":    cardUserInfos,
		"message": "OK",
	})
}

var WechatCardUsersTrendType struct {
	ServiceType uint8  `json:"service"` //服务项目 UI图标及颜色等
	TrendName   string `json:"title"`   //显示在第一行
	Content     string `json:"content"` //显示在第二行
	Time        string `json:"time"`    //显示在第三行
}

// GetCardUsersTrend 微信学生首页,获取近10条用户最新动态
// @Tags public
// @Summary  微信学生首页,获取近20条用户最新动态
// @Description 微信学生首页,获取近20条用户最新动态
// @Param code path string true "请示参数code"
// @Product json
// @Success 200 {object} string	"{"code": 200, "token": string}"
// @Router /we/trend/:id [GET]
func GetCardUsersTrend(c *gin.Context) {
	//id, _ := strconv.Atoi(c.Param("id"))
	c.JSON(http.StatusOK, gin.H{
		"status":  200,
		"message": "OK",
	})
}
