package cache

import (
	"dc_golang_server_1/logger"
	"dc_golang_server_1/wechat/model"
	"github.com/goinggo/mapstructure"
	"sync"
)

var UWeCustomerMap sync.Map //

func FindUWeCustomerByUnionid(unionid string) (customer model.UWeCustomer, err error) {
	customerCache, ok := UWeCustomerMap.Load(unionid)
	if ok {
		logger.Log.Debug("UWeCustomerMap缓存命中：" + unionid)
	} else {
		logger.Log.Debug("UWeCustomerMap缓存未命中：" + unionid)
	}
	if err = mapstructure.Decode(customerCache, &customer); err != nil {
		logger.Log.Error(err.Error())
	}
	return customer, err
}

func SetUWeCustomerByUnionid(customer model.UWeCustomer) {
	UWeCustomerMap.Store(customer.Unionid, customer)
}
