package dao

import (
	"dc_golang_server_1/config"
	dc_logger "dc_golang_server_1/logger"
	"gorm.io/driver/postgres"
	"gorm.io/gorm"
	"gorm.io/gorm/logger"
	"log"
	"os"
	"time"
)

var PgDb *gorm.DB

func InitPgDb() {
	newLogger := logger.New(
		log.New(os.Stdout, "\r\n", log.LstdFlags), // io writer（日志输出的目标，前缀和日志包含的内容——译者注）
		logger.Config{
			SlowThreshold:             time.Second, // 慢 SQL 阈值
			LogLevel:                  logger.Info, // 日志级别
			IgnoreRecordNotFoundError: true,        // 忽略ErrRecordNotFound（记录未找到）错误
			Colorful:                  false,       // 禁用彩色打印
		},
	)
	var err error
	dc_logger.Log.Info("初始化连接")
	PgDb, err = gorm.Open(postgres.Open(config.DbDSN), &gorm.Config{
		Logger: newLogger,
	})
	if err != nil {
		dc_logger.Log.Error(err.Error())
	}
}
