package service

import (
	"dc_golang_server_1/wechat/cache"
	"dc_golang_server_1/wechat/dao"
	"dc_golang_server_1/wechat/model"
	"dc_golang_server_1/wechat/web/response"
	responseState "dc_golang_server_1/wechat/web/response/state"
)

func FindUWeCustomerByUnionid(unionid string) model.UWeCustomer {
	customer, _ := cache.FindUWeCustomerByUnionid(unionid)
	if customer == (model.UWeCustomer{}) {
		customer = dao.FindUWeCustomerByUnionid(unionid)
		cache.SetUWeCustomerByUnionid(customer)
	}
	return customer
}

func initUWeCustomer(unionid string, openid string) {

}

type LoginFromWechatAppletData struct {
	token            string
	tokenCreatTime   uint32
	testRole         uint8    // 测试用户(可看到测试校区)
	nickname         string   //微信昵称
	masterCardUserID []uint32 //自己创建的学生用户
	slaveCardUserID  []uint32 //被邀请查看的学生用户
}

//微信小程序登陆
func LoginFromWechatApplet(code string) (LoginFromWechatAppletData, response.ServerErrorResponse) {
	var loginFromWechatAppletData LoginFromWechatAppletData
	wxOAuth2ResponseData, err := JsCode2session(code)
	if err != nil {
		return loginFromWechatAppletData, response.ServerErrorResponse{Code: responseState.StateBusinessError, Msg: err.Error()}
	} else {
		var customer model.UWeCustomer
		customer = FindUWeCustomerByUnionid(wxOAuth2ResponseData.Unionid)
		if customer == (model.UWeCustomer{}) {
			initUWeCustomer(wxOAuth2ResponseData.Unionid, wxOAuth2ResponseData.Openid)
		}
	}
	return loginFromWechatAppletData, response.ServerErrorResponse{}
}
