package responseState

type State int16

const (
	StateOK                  State = 1000
	StateContentTypeMismatch State = 1000 + iota
	StateParamsError
	StateSignatureMismatch
	StateBusinessError
)

type StateMap map[State]string

var StateMapping = StateMap{
	StateOK:                  "Success",
	StateContentTypeMismatch: "Content-type mismatch",
	StateParamsError:         "params error",
	StateSignatureMismatch:   "Signature mismatch",
	StateBusinessError:       "business error, please checking",
}
